{$APPTYPE CONSOLE}
{$Q+,R+}

uses
  SysUtils;

var
  L, d, a, N, W: Integer;
  ans: Integer;
  correct: Boolean;
  p: Integer;
  i: Integer;
  fin, fout, fans: Text;

  procedure Ex(s: string; ec: Integer);
  begin
    Write(s);
    try
      Close(fin);
      Close(fout);
      Close(fans);
    except
    end;
    Halt(ec);
  end;

  function mod1(a, b: Integer): Integer;
  begin
    if (a >= 0) then
      Result := a mod b
    else
    begin
      Result := b - (-a) mod b;
      if (Result = b) then
        Result := 0;
    end;
  end;

begin
   try
     Assign(fin, ParamStr(1)); Reset(fin);
   except on e: Exception do
     Ex('Error opening input: ' + e.Message, 3);
   end;
   try
     Assign(fans, ParamStr(3)); Reset(fans);
   except on e: Exception do
     Ex('Error opening answer: ' + e.Message, 3);
   end;
   try
     Assign(fout, ParamStr(2)); Reset(fout);
   except on e: Exception do
     Ex('Can''t open output: ' + e.Message, 2);
   end;

   {$I+}
   try
     Assert(not SeekEof(fin));
     Read(fin, L);
     Assert(not SeekEof(fin));
     Read(fin, d);
     Assert(not SeekEof(fin));
     Read(fin, a);
     Assert(not SeekEof(fin));
     Read(fin, N);
     Assert(not SeekEof(fin));
     Read(fin, W);
     Assert(SeekEof(fin));

     Assert((1 <= N) and (N <= 1000));
     Assert((1 <= L) and (L <= 1000));
     Assert((1 <= W) and (W <= 1000));
     Assert((1 <= d) and (d <= 1000));
     Assert((1 <= a) and (a <= 1000));
     Assert((0 <= a) and (a < L+d));
   except
     Ex('Error in the input file', 3);
   end;

   try
     Assert(not SeekEof(fout));
     Read(fout, ans);
     Assert(SeekEof(fout));
   except
     Ex('PE', 2);
   end;

   if not ((0 <= ans) and (ans < L+d)) then
     Ex('The answer doesn''t satisfy the condition 0 <= ans < L+d', 1);

   correct := True;
   for i := 1 to N do
   begin
     p := mod1(a-ans-(i-1)*W, L+d);
     if not ((W-2*L-d < p) and (p <= W-L)) then
     begin
       correct := False;
       break;
     end;
   end;

   if correct then
     Ex('OK', 0)
   else
     Ex('WA', 1);
end.